### Method

# Gcr Parser parse_stream_async

#### Declaration [src]

    void
    gcr_parser_parse_stream_async (
      GcrParser* self,
      GInputStream* input,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Parse items from the data in a `GInputStream`. This function completes asyncronously and doesn’t block.

The `GcrParser::parsed` and `GcrParser::authenticate` signals may fire during the parsing.

#### Parameters

`input` | `GInputStream`
| The input stream.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| An optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| Called when the operation result is ready.
| The argument can be `NULL`.
`user_data` | `gpointer`
| Data to pass to callback.
| The argument can be `NULL`.
| The data is owned by the caller of the function.